List Organization Projects (By Organization ID)

Request

GET

https://api.sourcecraft.tech/orgs/id:{org_id}/projects

Path parameters

Name

Description

org_id

Type: string

Example: ``

Query parameters

Name

Description

page_size

Type: string<uint64>

The maximum number of projects to return. The service may return fewer than
this value.

Example: ``

page_token

Type: string

A page token, received from a previous call.
Provide this to retrieve the subsequent page.

When paginating, all other parameters must match
the call that provided the page token.

Example: ``

sort_by

Type: string

Ordering options: comma separated list of fields.
Default sorting order is ascending. To specify descending order for a field,
append a "-" prefix; for example: "foo, -bar"
Redundant space characters in the syntax are insignificant. "foo, -bar", " foo , -bar", and "foo,bar"
are all equivalent.
Available fields: name, slug, org_slug, description, visibility

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "projects": [
    {
      "id": "example",
      "name": "example",
      "slug": "example",
      "organization": {
        "id": "example",
        "slug": "example"
      },
      "description": "example",
      "website": "example",
      "visibility": "public",
      "logo": {
        "url": "example"
      },
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "next_page_token": "example"
}

Name

Description

next_page_token

Type: string

A token, which can be sent as page_token to retrieve the next page.
If this field is omitted, there are no subsequent pages.

Example: example

projects

Type: Project[]

Example
[
  {
    "id": "example",
    "name": "example",
    "slug": "example",
    "organization": {
      "id": "example",
      "slug": "example"
    },
    "description": "example",
    "website": "example",
    "visibility": "public",
    "logo": {
      "url": "example"
    },
    "created_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z"
  }
]

OrganizationEmbedded

Name

Description

id

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example"
}

Project.Visibility

Type: string

Enum: public, internal, private

Image

Name

Description

url

Type: string

Example: example

Example
{
  "url": "example"
}

Project

Name

Description

created_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

description

Type: string

Example: example

id

Type: string

Example: example

logo

Type: Image

Example
{
  "url": "example"
}

name

Type: string

Example: example

organization

Type: OrganizationEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

slug

Type: string

Example: example

updated_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

visibility

Type: Project.Visibility

Enum: public, internal, private

website

Type: string

Example: example

Example
{
  "id": "example",
  "name": "example",
  "slug": "example",
  "organization": {
    "id": "example",
    "slug": "example"
  },
  "description": "example",
  "website": "example",
  "visibility": "public",
  "logo": {
    "url": "example"
  },
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}

Name

Description

details

Type: unknown

Example: null

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example